田草博客
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件
-电信用户-|-网通用户-
-博客论坛-|-软件下载-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2019 - 1 48
  12345
6789101112
13141516171819
20212223242526
2728293031


站点统计

最新评论



VBA 中Rotate3D 的应用。 由轴线直接生成框架梁或柱
未知 CAD 中空间平面方程计算   [ 日期:2007-04-01 ]   [ 来自:本站原创 ]  HTML


CAD 中空间平面方程计算



程序代码:[ 复制代码到剪贴板 ]
'***********************************************************************************************************************************

'空间平面方程***********************************************************空间平面方程**************************************************
'
Function KJPMFC(P1 As Variant, P2 As Variant, P3 As Variant, ByRef A As Double, ByRef B As Double, ByRef C As Double, ByRef D As Double) As Integer
    '判断三点是否在一条直线上
    If ThreeP_IsOnline(P1, P2, P3) = True Then
        ThisDrawing.Utility.Prompt "出现三点共线情况" & vbCrLf
        Exit Function
    End If
    Dim M(0 To 5) As Double
    '计算平面方程系数
    M(0) = P2(0) - P1(0)
    M(1) = P2(1) - P1(1)
    M(2) = P2(2) - P1(2)
    M(3) = P3(0) - P1(0)
    M(4) = P3(1) - P1(1)
    M(5) = P3(2) - P1(2)
    '计算平面方程系数( Ax+By+Cz+D=0)
    A = M(1) * M(5) - M(2) * M(4)
    B = -(M(0) * M(5) - M(2) * M(3))
    C = M(0) * M(4) - M(1) * M(3)
    D = -A * P1(0) - B * P1(1) - C * P1(2)
End Function
'空间平面方程
Private Sub CommandButton3_Click()
    Me.Hide
    On Error Resume Next
    Dim A As Double, B As Double, C As Double, D As Double
    Dim P1 As Variant, P2 As Variant, P3 As Variant
    ThisDrawing.Utility.InitializeUserInput 1, ""
    P1 = ThisDrawing.Utility.GetPoint(, "空间不共线三点中的第一点:")
    ThisDrawing.Utility.InitializeUserInput 1, ""
    P2 = ThisDrawing.Utility.GetPoint(, "空间不共线三点中的矩形的第二点:")
    ThisDrawing.Utility.InitializeUserInput 1, ""
    P3 = ThisDrawing.Utility.GetPoint(, "空间不共线三点中的矩形的第三点:")
    KJPMFC P1, P2, P3, A, B, C, D
    ThisDrawing.Utility.Prompt "空间平面方程: Ax+By+Cz+D=0." & vbCrLf
    ThisDrawing.Utility.Prompt "A=" & A & vbCrLf
    ThisDrawing.Utility.Prompt "B=" & B & vbCrLf
    ThisDrawing.Utility.Prompt "C=" & C & vbCrLf
    ThisDrawing.Utility.Prompt "D=" & D & vbCrLf
End Sub



按此在新窗口打开图片

按此在新窗口打开图片



[本日志由 田草 于 2007-04-01 01:31 PM 编辑]


引用这个评论 tiancao1001 于 2007-04-08 11:38 PM 发表评论: 
上面的方程有书写错误
z=(z2-z1)t+z2

发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:2*8=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©